# SpaceFileBrowser(Space)

base classes — `bpy_struct`, `Space`

class `bpy.types.``SpaceFileBrowser`(Space)

  File browser space data

  `active_operator`

    Type: | `Operator`, (readonly)

  `bookmarks`

    User’s bookmarks

    Type: | `bpy_prop_collection` of `FileBrowserFSMenuEntry`, (readonly)

  `bookmarks_active`

    Index of active bookmark (-1 if none)

    Type: | int in [-32768, 32767], default -1

  `operator`

    Type: | `Operator`, (readonly)

  `params`

    Parameters and Settings for the Filebrowser

    Type: | `FileSelectParams`, (readonly)

  `recent_folders`

    Type: | `bpy_prop_collection` of `FileBrowserFSMenuEntry`, (readonly)

  `recent_folders_active`

    Index of active recent folder (-1 if none)

    Type: | int in [-32768, 32767], default -1

  `system_bookmarks`

    System’s bookmarks

    Type: | `bpy_prop_collection` of `FileBrowserFSMenuEntry`, (readonly)

  `system_bookmarks_active`

    Index of active system bookmark (-1 if none)

    Type: | int in [-32768, 32767], default -1

  `system_folders`

    System’s folders (usually root, available hard drives, etc)

    Type: | `bpy_prop_collection` of `FileBrowserFSMenuEntry`, (readonly)

  `system_folders_active`

    Index of active system folder (-1 if none)

    Type: | int in [-32768, 32767], default -1

  `draw_handler_add`()

    Undocumented

  `draw_handler_remove`()

    Undocumented

Inherited Properties

`bpy_struct.id_data` `Space.type` | `Space.show_locked_time`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`